<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('functions_func_~.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions with links to the classes they belong to:</div>

<h3><a id="index__7E" name="index__7E"></a>- ~ -</h3><ul>
<li>~DepthTracker()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document_1_1_depth_tracker.html#a0a5bde3f2443c73b833852c43dd2b1d6">tinyxml2::XMLDocument::DepthTracker</a></li>
<li>~DynArray()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#a4a6aefdca7fe0d3f4068e31870a5adee">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></li>
<li>~FeedForwardNet()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a30df96721f1c57e57ed668676f18d9dc">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>~IdentityScaler()&#160;:&#160;<a class="el" href="classmelon_1_1_identity_scaler.html#afc69a84ccbded718a1b8c39c3f358933">melon::IdentityScaler&lt; T &gt;</a></li>
<li>~Kernel()&#160;:&#160;<a class="el" href="classmelon_1_1kernel_1_1_kernel.html#a723ab0686bbb045ff401220d51f72c2a">melon::kernel::Kernel&lt; T, V &gt;</a></li>
<li>~MelonModel()&#160;:&#160;<a class="el" href="classmelon_1_1_melon_model.html#a1c7f4a28d7a34e48a93b9899a66204b0">melon::MelonModel&lt; T &gt;</a></li>
<li>~MemPool()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool.html#ae55ad9e3faeca702e6ccbb38fdbcad72">tinyxml2::MemPool</a></li>
<li>~MemPoolT()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a5fa4fee934a3df2b9e74282244d78390">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
<li>~ModelData()&#160;:&#160;<a class="el" href="struct_model_data.html#a187635f6ad5b6c948d0040c2134e5573">ModelData</a></li>
<li>~ModelParser()&#160;:&#160;<a class="el" href="classmelon_1_1_model_parser.html#a1797eba4c97ed24dcb60b874c1d59bde">melon::ModelParser</a></li>
<li>~Scaler()&#160;:&#160;<a class="el" href="classmelon_1_1_scaler.html#a630a4449ca458ff02cc69e32f9c25960">melon::Scaler&lt; T &gt;</a></li>
<li>~StrPair()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_str_pair.html#a60bed84d2503296e1c2a73fcef1431f9">tinyxml2::StrPair</a></li>
<li>~XMLAttribute()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#a09f3de63524b73b846af8d8656b90d6c">tinyxml2::XMLAttribute</a></li>
<li>~XMLComment()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_comment.html#ab592f69b47852455c1b32c5e31e453d0">tinyxml2::XMLComment</a></li>
<li>~XMLDeclaration()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_declaration.html#ab93d5bf4f5d58b4144963cf739cf6dcc">tinyxml2::XMLDeclaration</a></li>
<li>~XMLDocument()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#af37c47d8e2ba4b2fc81b21a77a32579b">tinyxml2::XMLDocument</a></li>
<li>~XMLElement()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#a2b80613624153da83044a8b616fb325e">tinyxml2::XMLElement</a></li>
<li>~XMLNode()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a8f41e898cdd4da4cdbb7f05b0c7d9f69">tinyxml2::XMLNode</a></li>
<li>~XMLPrinter()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#af4caefa48ea6436898fb1807de8d14c0">tinyxml2::XMLPrinter</a></li>
<li>~XMLText()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_text.html#ae9b8790d0dc13914394dbd7437c0e59d">tinyxml2::XMLText</a></li>
<li>~XMLUnknown()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_unknown.html#a86fcd722ca173a7f385bafafa879f26e">tinyxml2::XMLUnknown</a></li>
<li>~XMLVisitor()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_visitor.html#a494e72033d646c47d9c65c502ec62364">tinyxml2::XMLVisitor</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
